PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- groups

# groups

class `pydl.pydlutils.spheregroup.``groups`(coordinates, distance, separation='euclid')

  Bases: `object`

  Group a set of objects (a list of coordinates in some space) based on a friends-of-friends algorithm

  Init creates an object and performs the friends-of-friends algorithm. The coordinates can have arbitrary dimensions, with each column representing one of the dimensions. Each row defines an object. If separation is not defined it defaults to Euclidean space.

  Methods Summary

  `euclid`(x1, x2) | Pythagorean theorem in Euclidean space with arbitrary number of dimensions.
  `sphereradec`(x1, x2) | Separation of two points on a 2D-sphere, assuming they are in longitude-latitude or right ascension-declination form.

  Methods Documentation

  static `euclid`(x1, x2)

    Pythagorean theorem in Euclidean space with arbitrary number of dimensions.

  static `sphereradec`(x1, x2)

    Separation of two points on a 2D-sphere, assuming they are in longitude-latitude or right ascension-declination form. Assumes everything is already in radians.